Skip to main content
Infrastructure/Collects
GETInfrastructureSince 1.0SynchronousAuth Required

ListPlatformMetrics

List metrics collection configurations for the specified platform.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • platformUuidStringRequired

    UUID of the platform to list metrics configurations for

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

  • totalInteger

    Total number of matching records

    Example: 42

  • limitInteger

    Maximum number of records returned per page

    Example: 20

  • offsetInteger

    Number of records skipped from the start

    Example: 20

Endpoint

GET/api/v1/collects/platform/{platformUuid}/metrics

/api/v1/collects/platform/{platformUuid}/metrics

Operation ID

ListPlatformMetrics

Permalink

Request Example

curl -X GET '{host}/api/v1/collects/platform/{platformUuid}/metrics' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [],
  "total": 42,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history